import type { _VNDetectedObjectObservation } from "./VNDetectedObjectObservation.js";
export declare class _VNHumanObservation extends _VNDetectedObjectObservation {
    static alloc(): _VNHumanObservation;
    static new(): _VNHumanObservation;
    init(): _VNHumanObservation;
    /**
     * @brief Boolean property to specify whether the human upper body or full body detection is recorded in the observation. This setting is propagated from [VNDetectHumanRectanglesRequest -upperBodyOnly]
     */
    upperBodyOnly(): boolean;
}
